Bug 1278201 - ImportError: No module named 'pygtk'
ImportError: No module named 'pygtk'
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: fonttools (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Parag Nemade
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-04 17:39 EST by Hin-Tak Leung
Modified: 2016-12-12 00:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-12 00:16:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hin-Tak Leung 2015-11-04 17:39:04 EST
Description of problem:

# pyftinspect --help
Traceback (most recent call last):
  File "/usr/bin/pyftinspect", line 9, in <module>
    load_entry_point('fonttools==3.0', 'console_scripts', 'pyftinspect')()
  File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 558, in load_entry_point
    return get_distribution(dist).load_entry_point(group, name)
  File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 2682, in load_entry_point
    return ep.load()
  File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 2355, in load
    return self.resolve()
  File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 2361, in resolve
    module = __import__(self.module_name, fromlist=['__name__'], level=0)
  File "/usr/lib/python3.4/site-packages/FontTools/fontTools/inspect.py", line 11, in <module>
    import pygtk
ImportError: No module named 'pygtk'


# locate pygtk.py 
/usr/lib64/python2.7/site-packages/pygtk.py
/usr/lib64/python2.7/site-packages/pygtk.pyc
/usr/lib64/python2.7/site-packages/pygtk.pyo


Version-Release number of selected component (if applicable):
fonttools-3.0-1.fc23
pygobject2-2.28.6-14.fc23.x86_64
python3-gobject-base-3.18.0-2.fc23.x86_64


How reproducible:
always

Steps to Reproduce:
1. pyftinspect --help
2.
3.

Actual results:
as above

Expected results:
Anything else except the above.

Additional info:

It looks like fonttools-3.0-1.fc23 depends on python3 but pygobject2-2.28.6-14.fc23.x86_64 is python2, and I could not find equivalent python3 module. In any case, dependency should be automatic.
Comment 1 Fedora End Of Life 2016-11-24 08:05:21 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Hin-Tak Leung 2016-11-24 15:38:27 EST
Still a problem with f24 - just re-testing before I upgrade to f25.
Comment 3 Hin-Tak Leung 2016-11-25 08:14:47 EST
[root@localhost ~]# pyftinspect --help
Traceback (most recent call last):
  File "/usr/bin/pyftinspect", line 9, in <module>
    load_entry_point('fonttools==3.0', 'console_scripts', 'pyftinspect')()
  File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 542, in load_entry_point
    return get_distribution(dist).load_entry_point(group, name)
  File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 2575, in load_entry_point
    return ep.load()
  File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 2235, in load
    return self.resolve()
  File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 2241, in resolve
    module = __import__(self.module_name, fromlist=['__name__'], level=0)
  File "/usr/lib/python3.5/site-packages/FontTools/fontTools/inspect.py", line 11, in <module>
    import pygtk
ImportError: No module named 'pygtk'
[root@localhost ~]# rpm -qf /usr/bin/pyftinspect
fonttools-3.0-5.fc25.noarch
Comment 4 Parag Nemade 2016-12-12 00:16:19 EST
This is fixed now in fonttools-3.2.2-2 build for f24+ releases.

Note You need to log in before you can comment on or make changes to this bug.